Unseal Space
REST APIRegistered domains

Quote one exact domain purchase

POST
/domain/purchase-challenges

Returns a short-lived, single-use Confirmation Challenge. Creating it does not charge the card or contact the registrar.

x-api-key<token>

Workspace-owned API key with per-resource permissions.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

domainName*string
Length1 <= length

Response Body

application/json

curl -X POST "https://example.com/domain/purchase-challenges" \  -H "Content-Type: application/json" \  -d '{    "domainName": "string"  }'
{  "nonce": "f25f24f2-d581-4594-9824-123d5821fb65",  "domainName": "string",  "currency": "str",  "maximumPriceMicroUsd": -9007199254740991,  "expiresAt": "2019-08-24T14:15:22Z"}